summaryrefslogtreecommitdiffstats
path: root/base/compile.sh
diff options
context:
space:
mode:
Diffstat (limited to 'base/compile.sh')
-rwxr-xr-xbase/compile.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/base/compile.sh b/base/compile.sh
new file mode 100755
index 0000000..8bb9534
--- /dev/null
+++ b/base/compile.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+#
+# compile.sh
+# Copyright (C) 2011 Hamed Saleh and Mahrud Sayrafi
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+$TIMEOUT $COMPILE_TIME \
+ $CHROOT --userspec=$BIN_USER:$BIN_GROUP $JAIL \
+ $COMPILER_DIR/$LANGUAGE.sh
+
+exit $?